## vite 1.2+svn+git3.e296d20

=== debian/changelog ===
vite (1.2+svn+git3.e296d20-1) experimental; urgency=medium

  * New upstream snapshot (Closes: #888795)
  * control: Fix VCS URLs.
  * control: Bump Standards-Version to 4.1.1 (no changes).
  * rules: Disable VBO for now.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 02 Mar 2018 17:29:30 +0100

vite (1.2+svn+git2.ea4d767-1) experimental; urgency=medium

  * New upstream snapshot.
  * control: Bump Standards-Version to 4.1.0 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 25 Aug 2017 13:37:26 +0200

vite (1.2+svn+git1.2afd42c-1) experimental; urgency=medium

  * New upstream snapshot.
    - patches/stats-crash: Remove, merged upstream.
    - patches/gl: Remove, now useless.
    - control: Build-Depend on libglm-dev, libglew-dev.
    - rules: Make sure we use Qt5.
  * control: Bump Standards-Version to 4.0.1 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 18 Aug 2017 16:45:03 +0200

vite (1.2+svn1430-5) unstable; urgency=medium

  * control: Add missing build-dep to get GL/glu.h, fixes build on arm.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Dec 2015 21:59:06 +0100

vite (1.2+svn1430-4) unstable; urgency=medium

  * compat: Bump to 9.
  * control:
    - Bump debhelper version.
    - Drop hardening-wrapper Build-Depend.
    - Switch to qt5.
  * patches/stats-crash: New patch to fix crash on stats.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Dec 2015 16:56:43 +0100

=== debian/control ===
Source: vite
Section: devel
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 9.0.0),
 cmake,
 qttools5-dev, libqt5opengl5-dev, libglm-dev, libglew-dev,
 texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
 libotf-trace-dev,
 texlive-fonts-recommended,
 ghostscript, zlib1g-dev
Standards-Version: 4.1.1
Homepage: http://vite.gforge.inria.fr/
Vcs-Browser: https://gitlab.inria.fr/solverstack/vite
Vcs-Git: https://gitlab.inria.fr/solverstack/vite.git

Package: vite
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Efficient visual trace explorer
 ViTE is a powerful portable and open source profiling tool to visualize
 the behaviour of parallel applications. Thanks to its scalable design,
 ViTE helps programmers to efficiently analyze the performance of
 potentially large applications.
 .
 ViTE currently enables the visualisation of traces using the Pajé format
 (open format, see http://www-id.imag.fr/Logiciels/paje/) and has various
 functionalities such as exporting a view in a svg format to integrate
 the results easily in a report, or viewing statistics.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DVITE_ENABLE_OTF=ON \
		-DVITE_ENABLE_MT_PARSERS=ON \
		-DVITE_ENABLE_VBO=OFF \
		-DUSE_QT5=ON

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C docs/user_manual
	$(MAKE) -C docs/technical_manual

override_dh_auto_clean:
	$(MAKE) -C docs/user_manual clean
	$(MAKE) -C docs/technical_manual clean
	-rm -f $(shell cat debian/toclean)
	dh_auto_clean

## vite 1.2+svn+git4.c6c0ce7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(VITE CXX C)

### The current version number
set (VITE_VERSION_MAJOR 1)
set (VITE_VERSION_MINOR 2)
set (VITE_VERSION_PATCH 0)

find_package(Git)
if(GIT_FOUND)
  execute_process(COMMAND ${GIT_EXECUTABLE} show --no-patch --format="%h %aI"
    OUTPUT_VARIABLE VITE_WC_INFO
    ERROR_VARIABLE  Git_info_error
    RESULT_VARIABLE Git_info_result
    OUTPUT_STRIP_TRAILING_WHITESPACE)

  if(NOT ${Git_info_result} EQUAL 0)
    set(VITE_WC_REVISION "")
    set(VITE_WC_DATE     "")
  else()
    string(REGEX REPLACE "^\"(.*) (.*)\"$"
      "\\1" VITE_WC_REVISION "${VITE_WC_INFO}")
    string(REGEX REPLACE "^\"(.*) (.*)\"$"
      "\\2" VITE_WC_DATE "${VITE_WC_INFO}")
  endif()
endif()

if (NOT ${VITE_WC_REVISION} STREQUAL "")
  set (VITE_VERSION "r${VITE_WC_REVISION}")
else()
  set (VITE_VERSION "${VITE_VERSION_MAJOR}.${VITE_VERSION_MINOR}.${VITE_VERSION_PATCH}")
endif()


if (NOT ${VITE_WC_DATE} STREQUAL "")
  set (VITE_DATE "\"${VITE_WC_DATE}\"")
else()
  if(UNIX)
    set(_vite_SAVED_LC_ALL "$ENV{LC_ALL}")
    set(ENV{LC_ALL} C)

    execute_process(COMMAND date +"%B %Y"
      OUTPUT_VARIABLE VITE_DATE
      ERROR_VARIABLE vite_date_error
      RESULT_VARIABLE vite_date_result
      OUTPUT_STRIP_TRAILING_WHITESPACE )

    # restore the previous LC_ALL
    set(ENV{LC_ALL} ${_vite_SAVED_LC_ALL})
  else()
    set(VITE_DATE "")
  endif()
endif()

message(STATUS "Current revision is ${VITE_VERSION} from ${VITE_DATE}")

if(COMMAND CMAKE_POLICY)
  # CMP0003: add the link paths to the link command as with cmake 2.4
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND CMAKE_POLICY)

### Misc options
option(BUILD_SHARED_LIBS
  "Build shared libraries" OFF)
option(BUILD_64bits
  "Build 64 bits mode" ON)
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose the type of build, options are None, Debug, Release, RelWithDebInfo and MinSizeRel." FORCE)
endif(NOT CMAKE_BUILD_TYPE)

# cmake modules setup
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/")
include (CMakeDetermineSystem)
include (CheckCCompilerFlag)
include (CheckFunctionExists)
include (CheckSymbolExists)
include (CheckIncludeFile)
include (CheckIncludeFileCXX)
include (CheckIncludeFiles)
include (CheckLibraryExists)
include (CMakeDependentOption)

### Required Packages
# Try to find Qt5 : http://forum.openscenegraph.org/viewtopic.php?t=11431
option(USE_QT5
  "Use QT5 instead of QT4" ON)

if (USE_QT5)
  set(CMAKE_AUTOMOC ON)
  #set(CMAKE_AUTORCC ON)
  #set(CMAKE_AUTOUIC ON)

  if(CMAKE_VERSION VERSION_LESS "3.7.0")
    set(CMAKE_INCLUDE_CURRENT_DIR ON)
  endif()

  find_package(Qt5 COMPONENTS Widgets Core Xml OpenGL Charts Svg UiTools QUIET )

else(USE_QT5) # Try Qt4

  set(CMAKE_AUTOMOC ON)
  find_package(Qt4 COMPONENTS QtCore QtGui QtXml REQUIRED)
  set(QT_USE_QTUITOOLS ON)
  set(QT_USE_QTOPENGL ON)
  include(${QT_USE_FILE})

endif(USE_QT5)

set( OpenGL_GL_PREFERENCE LEGACY )
find_package(OpenGL)
#find_package(GLU)

### Optimization options
option(VITE_ENABLE_SERIALIZATION
  "Enable the support of Boost Serialization." OFF)
option(VITE_ENABLE_VBO
  "Enable the support of VBO." ON)
option(VITE_ENABLE_MT_PARSERS
  "Enable multi-threading in parsers." OFF)

### Debug options
option(VITE_DBG_MEMORY_USAGE
  "Enable statistic on memory usage." OFF)
cmake_dependent_option(VITE_DBG_MEMORY_TRACE
  "Enable trace generation of memory usage (requires MEMORY_USAGE)." OFF "VITE_DBG_MEMORY_USAGE" OFF)

### Trace format options
option(VITE_ENABLE_OTF
  "Enable the support of OTF file format." OFF)
option(VITE_ENABLE_OTF2
  "Enable the support of OTF2 file format." OFF)
option(VITE_ENABLE_TAU
  "Enable the support of TAU file format." OFF)

# timeval, timespec, realtime clocks, etc
include(CheckStructHasMember)
check_struct_has_member("struct timespec" tv_nsec time.h HAVE_TIMESPEC_TV_NSEC)
if( NOT HAVE_TIMESPEC_TV_NSEC )
  add_definitions(-D_GNU_SOURCE)
  check_struct_has_member("struct timespec" tv_nsec time.h HAVE_TIMESPEC_TV_NSEC)
endif( NOT HAVE_TIMESPEC_TV_NSEC )
check_library_exists(rt clock_gettime "" HAVE_CLOCK_GETTIME)
if( HAVE_CLOCK_GETTIME )
  set(EXTRA_LIBS "${EXTRA_LIBS};rt")
endif( HAVE_CLOCK_GETTIME )

# stdlib, stdio, string, getopt, etc
check_include_files(stdarg.h HAVE_STDARG_H)
check_function_exists(va_copy HAVE_VA_COPY)
if (NOT HAVE_VA_COPY)
  check_function_exists(__va_copy HAVE_UNDERSCORE_VA_COPY)
endif (NOT HAVE_VA_COPY)
check_function_exists(asprintf HAVE_ASPRINTF)
check_function_exists(vasprintf HAVE_VASPRINTF)
check_include_files(getopt.h HAVE_GETOPT_H)
check_include_files(unistd.h HAVE_UNISTD_H)
check_function_exists(getopt_long HAVE_GETOPT_LONG)
check_include_files(errno.h HAVE_ERRNO_H)
check_include_files(stddef.h HAVE_STDDEF_H)
check_function_exists(getrusage HAVE_GETRUSAGE)
check_include_files(limits.h HAVE_LIMITS_H)
check_include_files(string.h HAVE_STRING_H)

#
# Find optional packages
#

# Search for Boost
#    Components : filesystem, iostreams, programoptions, python, regex,
#                 serialization, signals, system, thread, wave
if(VITE_ENABLE_SERIALIZATION)
  find_package( Boost COMPONENTS serialization thread iostreams system)
endif(VITE_ENABLE_SERIALIZATION)

if(VITE_ENABLE_VBO)
  find_package(GLEW REQUIRED)
  include_directories(${GLEW_INCLUDE_PATH})
  if (GLM_INC)
    include_directories(${GLM_INC})
    list(APPEND CMAKE_REQUIRED_INCLUDES ${GLM_INC})
  endif()
  check_include_file_cxx(glm/glm.hpp HAVE_GLM_H)
  if (NOT HAVE_GLM_H)
    message(FATAL_ERROR "libglm-dev package is required, you might specify the include directory where to find glm/glm.hpp through -DGLM_INC=/path/to/glm")
  endif()
endif(VITE_ENABLE_VBO)

if(VITE_ENABLE_OTF)
  find_package(OTF)
endif(VITE_ENABLE_OTF)

if(VITE_ENABLE_OTF2)
  find_package(OTF2)
endif(VITE_ENABLE_OTF2)

if(VITE_ENABLE_TAU)
  find_package(TAU)
endif(VITE_ENABLE_TAU)

if(VITE_ENABLE_MT_PARSERS)
  add_definitions(-DMT_PARSING)
endif()

if(VITE_DBG_MEMORY_USAGE)
  add_definitions(-DMEMORY_USAGE)
endif()

if(VITE_DBG_MEMORY_TRACE)
  add_definitions(-DMEMORY_TRACE)
endif()

# Configuration header
configure_file (
  "${CMAKE_CURRENT_SOURCE_DIR}/src/common/ViteConfig.hpp.in"
  "${CMAKE_CURRENT_BINARY_DIR}/src/common/ViteConfig.hpp")

add_subdirectory(src)
add_subdirectory(plugins)

include(CPackLists.txt)

=== plugins/CMakeLists.txt ===
#
#
#

### ViTE optional plugins
option(VITE_PLUGINS_DISTRIBUTIONS
  "Enable the distribution plugin." OFF)
option(VITE_PLUGINS_TRACEINFOS
  "Enable the TraceInfos plugin." OFF)
option(VITE_PLUGINS_MATRIX_VISUALIZER
  "Enable the MatrixVisualizer plugin." OFF)

include_directories(${CMAKE_SOURCE_DIR}/src)
include_directories(${CMAKE_BINARY_DIR}/src/common)

if( VITE_PLUGINS_DISTRIBUTIONS )
  add_subdirectory(Distribution)
endif( VITE_PLUGINS_DISTRIBUTIONS )

if( VITE_PLUGINS_TRACEINFOS )
  add_subdirectory(TraceInfos)
endif( VITE_PLUGINS_TRACEINFOS )

if( VITE_PLUGINS_MATRIX_VISUALIZER )
  add_subdirectory(MatrixVisualizer)
endif( VITE_PLUGINS_MATRIX_VISUALIZER )

=== src/CMakeLists.txt ===
#
# This file is part of the ViTE project.
#
# This software is governed by the CeCILL-A license under French law
# and abiding by the rules of distribution of free software. You can
# use, modify and/or redistribute the software under the terms of the
# CeCILL-A license as circulated by CEA, CNRS and INRIA at the following
# URL: "http://www.cecill.info".
#
# As a counterpart to the access to the source code and rights to copy,
# modify and redistribute granted by the license, users are provided
# only with a limited warranty and the software's author, the holder of
# the economic rights, and the successive licensors have only limited
# liability.
#
# In this respect, the user's attention is drawn to the risks associated
# with loading, using, modifying and/or developing or reproducing the
# software by the user in light of its specific status of free software,
# that may mean that it is complicated to manipulate, and that also
# therefore means that it is reserved for developers and experienced
# professionals having in-depth computer knowledge. Users are therefore
# encouraged to load and test the software's suitability as regards
# their requirements in conditions enabling the security of their
# systems and/or data to be ensured and, more generally, to use and
# operate it in the same conditions as regards security.
#
# The fact that you are presently reading this means that you have had
# knowledge of the CeCILL-A license and that you accept its terms.
#
# ViTE developers are (for version 0.* to 1.0):
#
#        - COULOMB Kevin
#        - FAVERGE Mathieu
#        - JAZEIX Johnny
#        - LAGRASSE Olivier
#        - MARCOUEILLE Jule
#        - NOISETTE Pascal
#        - REDONDY Arthur
#        - VUCHENER Clement
#        - (RICHART Nicolas)
#
#

SET(VITE_HDRS
  common/Errors.hpp
  common/Info.hpp
  common/Memory.hpp
  common/Message.hpp
  common/Palette.hpp
  common/Session.hpp
  common/Tools.hpp
  common/common.hpp
  # Data structure headers
  trace/values/Color.hpp
  trace/values/Date.hpp
  trace/values/Double.hpp
  trace/values/Hex.hpp
  trace/values/Integer.hpp
  trace/values/Name.hpp
  trace/values/String.hpp
  trace/values/Value.hpp
  trace/values/Values.hpp
  trace/tree/BinaryTree.hpp
  trace/tree/Node.hpp
  trace/tree/Interval.hpp
  trace/ContainerType.hpp
  trace/EntityType.hpp
  trace/EventType.hpp
  trace/StateType.hpp
  trace/LinkType.hpp
  trace/VariableType.hpp
  trace/EntityTypes.hpp
  trace/EntityValue.hpp
  trace/Container.hpp
  trace/Entity.hpp
  trace/Event.hpp
  trace/State.hpp
  trace/StateChange.hpp
  trace/Link.hpp
  trace/Entitys.hpp
  trace/Variable.hpp
  trace/DrawTrace.hpp
  trace/DrawTree.hpp
  trace/Trace.hpp
  trace/IntervalOfContainer.hpp
  # Render headers
  render/GanttDiagram.hpp
  render/Geometry.hpp
  render/Hook_event.hpp
  render/Minimap.hpp
  render/Render_opengl.hpp
  render/Render_svg.hpp
  render/render_stats.hpp
  render/render_stats_opengl.hpp
  render/render_stats_svg.hpp
  render/Ruler.hpp
  # Interface headers
  interface/resource.hpp
  interface/Interface.hpp
  interface/Settings_window.hpp
  interface/Interface_graphic.hpp
  interface/Node_select.hpp
  interface/viteqtreewidget.hpp
  interface/Interval_select.hpp
  interface/qxtspanslider.h
  interface/qxtspanslider_p.h
  # Core header
  core/Core.hpp
  core/getopt.h
  # Parser headers
  parser/ParsingThread.hpp
  parser/Parser.hpp
  parser/ParserFactory.hpp
  # Paje
  parser/PajeParser/PajeDefinition.hpp
  parser/PajeParser/PajeFileManager.hpp
  parser/PajeParser/ParserDefinitionPaje.hpp
  parser/PajeParser/ParserEventPaje.hpp
  parser/PajeParser/ParserPaje.hpp
  parser/PajeParser/ParserVite.hpp
  # Statistics headers
  statistics/Statistics_window.hpp
  statistics/ChartView.hpp
  statistics/Statistic.hpp
  statistics/DrawStats.hpp
  statistics/DrawVDiagram.hpp
  statistics/DrawHDiagram.hpp
  statistics/DrawCounter.hpp
  statistics/Diagram.hpp
  # Plugin header
  plugin/Command_window.hpp
  plugin/Plugin_window.hpp
  plugin/Plugin.hpp
  )

SET(VITE_UIS
  interface/info_window.ui
  interface/settings.ui
  interface/main_window.ui
  interface/option_export_window.ui
  interface/global_cmd.ui
  interface/list_of_counter_to_export.ui
  interface/node_select.ui
  interface/interval_select.ui
  interface/statistics.ui
  )

SET(VITE_SRCS
  # Messages & Errors
  common/Errors.cpp
  common/Info.cpp
  common/Memory.cpp
  common/Message.cpp
  common/Palette.cpp
  common/Session.cpp
  common/Tools.cpp
  # Data structure code files
  trace/values/Color.cpp
  trace/values/Date.cpp
  trace/values/Double.cpp
  trace/values/Hex.cpp
  trace/values/Integer.cpp
  trace/values/Name.cpp
  trace/values/String.cpp
  trace/tree/Interval.cpp
  trace/Container.cpp
  trace/ContainerType.cpp
  trace/Entity.cpp
  trace/EntityType.cpp
  trace/EntityValue.cpp
  trace/Event.cpp
  trace/EventType.cpp
  trace/IntervalOfContainer.cpp
  trace/Link.cpp
  trace/LinkType.cpp
  trace/State.cpp
  trace/StateChange.cpp
  trace/StateType.cpp
  trace/Trace.cpp
  trace/Variable.cpp
  trace/VariableType.cpp
  # Render code files
  render/GanttDiagram.hpp
  render/Geometry.cpp
  render/Hook_event.cpp
  render/Minimap.cpp
  render/Render_opengl.cpp
  render/Render_svg.cpp
  render/Ruler.cpp
  render/render_stats_opengl.cpp
  render/render_stats_svg.cpp
  # Parser code files
  parser/Parser.cpp
  parser/ParserFactory.cpp
  parser/ParsingThread.cpp
  # Paje Parser
  parser/PajeParser/PajeDefinition.cpp
  parser/PajeParser/PajeFileManager.cpp
  parser/PajeParser/ParserDefinitionPaje.cpp
  parser/PajeParser/ParserEventPaje.cpp
  parser/PajeParser/ParserPaje.cpp
  parser/PajeParser/ParserVite.cpp
  # Statistics code files
  statistics/Statistic.cpp
  statistics/ChartView.cpp
  statistics/Statistics_window.cpp
  statistics/Diagram.cpp
  # Interface code files
  interface/Interface_graphic.cpp
  interface/Interval_select.cpp
  interface/Node_select.cpp
  interface/Settings_window.cpp
  interface/qxtspanslider.cpp
  interface/viteqtreewidget.cpp
  # Plugin code file
  plugin/Command_window.cpp
  plugin/Plugin.cpp
  plugin/Plugin_window.cpp
  # Core code files
  core/Core.cpp
  core/getopt.c
  # Main
  main.cpp
  )

SET(VITE_RCCS
  interface/vite.qrc
  )

#############################################
#           QtColorPicker
#############################################
set(QTCOLORPICKERDIR
  ${CMAKE_SOURCE_DIR}/externals/qtcolorpicker/src
  )

set(VITE_HDRS
  ${VITE_HDRS}
  ${QTCOLORPICKERDIR}/qtcolorpicker.h
  )

set(VITE_SRCS
  ${VITE_SRCS}
  ${QTCOLORPICKERDIR}/qtcolorpicker.cpp
  )

#############################################
#                VBO
#############################################
IF(VITE_ENABLE_VBO)
  SET(VITE_HDRS
    ${VITE_HDRS}
    render/vbo.hpp
    render/Shader.hpp
    render/Render_alternate.hpp
    )

  SET(VITE_SRCS
    ${VITE_SRCS}
    render/vbo.cpp
    render/Shader.cpp
    render/Render_alternate.cpp
    )
ENDIF(VITE_ENABLE_VBO)

#############################################
#              OTF Parser
#############################################
IF(VITE_ENABLE_OTF)
  SET(VITE_HDRS
    ${VITE_HDRS}
    parser/OTFParser/ParserDefinitionOTF.hpp
    parser/OTFParser/ParserEventOTF.hpp
    parser/OTFParser/ParserOTF.hpp
    )

  SET(VITE_SRCS
    ${VITE_SRCS}
    parser/OTFParser/ParserDefinitionOTF.cpp
    parser/OTFParser/ParserEventOTF.cpp
    parser/OTFParser/ParserOTF.cpp
    )

  IF(VITE_ENABLE_MT_PARSERS)
    SET(VITE_HDRS
      ${VITE_HDRS}
      parser/OTFParser/mt_ParserEventOTF.hpp
      parser/OTFParser/mt_ParserOTF.hpp
      parser/OTFParser/OTFTraceBuilderThread.hpp
      )
    SET(VITE_SRCS
      ${VITE_SRCS}
      parser/OTFParser/mt_ParserEventOTF.cpp
      parser/OTFParser/mt_ParserOTF.cpp
      parser/OTFParser/OTFTraceBuilderThread.cpp
      )
  ENDIF()

  INCLUDE_DIRECTORIES(BEFORE ${OTF_INCLUDE_DIR})

ENDIF(VITE_ENABLE_OTF)

#############################################
#              OTF2 Parser
#############################################
IF(VITE_ENABLE_OTF2)
  ADD_DEFINITIONS(-DWITH_OTF2)

  SET(VITE_HDRS
    ${VITE_HDRS}
    parser/OTF2Parser/ParserDefinitionOTF2.hpp
    parser/OTF2Parser/ParserEventOTF2.hpp
    parser/OTF2Parser/ParserOTF2.hpp
    )

  SET(VITE_SRCS
    ${VITE_SRCS}
    parser/OTF2Parser/ParserDefinitionOTF2.cpp
    parser/OTF2Parser/ParserEventOTF2.cpp
    parser/OTF2Parser/ParserOTF2.cpp
    )

  INCLUDE_DIRECTORIES(${OTF2_INCLUDE_DIR})

ENDIF(VITE_ENABLE_OTF2)

#############################################
#              TAU Parser
#############################################
IF(VITE_ENABLE_TAU)

  SET(VITE_HDRS
    ${VITE_HDRS}
    parser/TauParser/ParserTau.hpp
    parser/TauParser/TauStructs.hpp
    )

  SET(VITE_SRCS
    ${VITE_SRCS}
    parser/TauParser/ParserTau.cpp
    )

  INCLUDE_DIRECTORIES(${TAU_INCLUDE_DIR})

ENDIF(VITE_ENABLE_TAU)

#############################################
#        Multi-threaded Paje Parser
#############################################

IF(VITE_ENABLE_MT_PARSERS)

  SET(VITE_HDRS
    ${VITE_HDRS}
    #Multithread Paje
    parser/PajeParser/mt_ParserEventPaje.hpp
    parser/PajeParser/mt_ParserPaje.hpp
    parser/PajeParser/mt_PajeFileManager.hpp
    parser/PajeParser/BuilderThread.hpp
    trace/TraceBuilderThread.hpp
    )

  SET(VITE_SRCS
    ${VITE_SRCS}
    #Multithread Paje Parser
    parser/PajeParser/mt_ParserEventPaje.cpp
    parser/PajeParser/mt_ParserPaje.cpp
    parser/PajeParser/mt_PajeFileManager.cpp
    parser/PajeParser/BuilderThread.cpp
    trace/TraceBuilderThread.cpp
    )

ENDIF()

#############################################
#                BOOST
#############################################
IF(VITE_ENABLE_SERIALIZATION)
  link_directories ( ${Boost_LIBRARY_DIRS} )
  include_directories ( ${Boost_INCLUDE_DIRS} )
  add_definitions("-DUSE_ITC -DBOOST_SERIALIZE")

  SET(VITE_HDRS
    ${VITE_HDRS}
    parser/ParserSplitted.hpp
    trace/IntervalOfContainer.hpp
    trace/SerializerWriter.hpp
    trace/SerializerDispatcher.hpp
    )

  SET(VITE_SRCS
    ${VITE_SRCS}
    parser/ParserSplitted.cpp
    trace/IntervalOfContainer.cpp
    trace/SerializerWriter.cpp
    trace/SerializerDispatcher.cpp
    )

ENDIF(VITE_ENABLE_SERIALIZATION)

IF(USE_QT5)
  #############################################
  #              QT5
  #############################################
  QT5_WRAP_UI(VITE_UIS_H ${VITE_UIS})
  QT5_WRAP_CPP(VITE_MOC ${VITE_UIS_H} ${VITE_MOC_HDRS})
  QT5_ADD_RESOURCES(VITE_RCC_SRCS ${VITE_RCCS})

ELSE(USE_QT5)
  #############################################
  #              QT4
  #############################################
  QT4_WRAP_UI(VITE_UIS_H ${VITE_UIS})
  QT4_WRAP_CPP(VITE_MOC ${VITE_UIS_H} ${VITE_MOC_HDRS})
  QT4_ADD_RESOURCES(VITE_RCC_SRCS ${VITE_RCCS})

ENDIF(USE_QT5)


INCLUDE_DIRECTORIES(
  ${CMAKE_CURRENT_BINARY_DIR}/common
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${QTCOLORPICKERDIR}
  )
#ADD_LIBRARY(vite2 SHARED ${VITE_SRCS} ${VITE_MOC} ${VITE_RCC_SRCS})

IF( VITE_ENABLE_OTF )
  LINK_DIRECTORIES( ${OTF_LIBRARY_DIR} )
ENDIF( VITE_ENABLE_OTF )

IF(VITE_ENABLE_OTF2)
  LINK_DIRECTORIES(${OTF2_LIBRARY_DIR} )
ENDIF(VITE_ENABLE_OTF2)

#resource
IF(WIN32)
  set(VITE_RES
    "${PROJECT_SOURCE_DIR}/src/interface/icon/logo.ico"
	"${PROJECT_SOURCE_DIR}/src/interface/windows_icon.rc"
  )
ENDIF(WIN32)

if( APPLE )
  INCLUDE_DIRECTORIES(/usr/X11/include)
  SET( OSX_ICON_FILES "interface/icon/mac_logo.icns")
  set_source_files_properties(${OSX_ICON_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
  ADD_EXECUTABLE(vite MACOSX_BUNDLE ${VITE_SRCS} ${VITE_MOC} ${VITE_RCC_SRCS} ${OSX_ICON_FILES})
  SET_TARGET_PROPERTIES(vite PROPERTIES
    MACOSX_BUNDLE_INFO_STRING "ViTE"
    MACOSX_BUNDLE_ICON_FILE "mac_logo.icns"
    MACOSX_BUNDLE_LONG_VERSION_STRING "Visual Trace Explorer - version ${VITE_VERSION_MAJOR}.${VITE_VERSION_MINOR}"
    MACOSX_BUNDLE_BUNDLE_NAME "Vite-MacOSX"
    MACOSX_BUNDLE_SHORT_VERSION_STRING "ViTE-${VITE_VERSION_MAJOR}.${VITE_VERSION_MINOR}"

=== plugins/Distribution/CMakeLists.txt ===
###
#
#  This file is part of the ViTE project.
#
#  This software is governed by the CeCILL-A license under French law
#  and abiding by the rules of distribution of free software. You can
#  use, modify and/or redistribute the software under the terms of the
#  CeCILL-A license as circulated by CEA, CNRS and INRIA at the following
#  URL: "http://www.cecill.info".
#
#    @version 1.2.0
#    @authors COULOMB Kevin
#    @authors FAVERGE Mathieu
#    @authors JAZEIX Johnny
#    @authors LAGRASSE Olivier
#    @authors MARCOUEILLE Jule
#    @authors NOISETTE Pascal
#    @authors REDONDY Arthur
#    @authors VUCHENER Clment
#    @authors RICHART Nicolas
#

set(DISTRIBUTION_hdrs
  Distribution.hpp
)

set(DISTRIBUTION_srcs
  Distribution.cpp
)

add_library(Distribution SHARED ${DISTRIBUTION_srcs})

IF(USE_QT5)
  qt5_use_modules(Distribution Widgets Core)
ENDIF(USE_QT5)

install(TARGETS Distribution DESTINATION $ENV{HOME}/.vite)

=== plugins/MatrixVisualizer/CMakeLists.txt ===
###
#
#  This file is part of the ViTE project.
#
#  This software is governed by the CeCILL-A license under French law
#  and abiding by the rules of distribution of free software. You can
#  use, modify and/or redistribute the software under the terms of the
#  CeCILL-A license as circulated by CEA, CNRS and INRIA at the following
#  URL: "http://www.cecill.info".
#
#    @version 1.2.0
#    @authors COULOMB Kevin
#    @authors FAVERGE Mathieu
#    @authors JAZEIX Johnny
#    @authors LAGRASSE Olivier
#    @authors MARCOUEILLE Jule
#    @authors NOISETTE Pascal
#    @authors REDONDY Arthur
#    @authors VUCHENER Clément
#    @authors RICHART Nicolas
#

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

configure_file(
    "Configuration.in"
    "Configuration.hpp"
)

set (MATRIXVISUALIZER_hdrs
    MatrixVisualizer.hpp
    Configuration.hpp
    Helper.hpp

    Parsers/Parser.hpp
    Parsers/SymbolParser.hpp
    Parsers/OrderParser.hpp
    Parsers/ValuesParser.hpp

    Formats/SymbolMatrix.hpp
    Parsers/Readers/Pastix.hpp

    Windows/MatrixWindow.hpp
    Windows/MatrixGLWidget.hpp

    Common/Zooming.hpp
)

set (MATRIXVISUALIZER_srcs
    MatrixVisualizer.cpp
    Helper.cpp

    Formats/SymbolMatrix.cpp

    Parsers/SymbolParser.cpp
    Parsers/OrderParser.cpp
    Parsers/ValuesParser.cpp
    Parsers/Readers/Pastix.cpp

    Windows/MatrixWindow.cpp
    Windows/MatrixGLWidget.cpp

    Common/Zooming.cpp
)

set (MATRIXVISUALIZER_forms_tmp
    Plugin.ui
)

IF(USE_QT5)
  QT5_WRAP_UI(MATRIXVISUALIZER_forms
      ${MATRIXVISUALIZER_forms_tmp}
  )
else(USE_QT5)
  QT4_WRAP_UI(MATRIXVISUALIZER_forms
      ${MATRIXVISUALIZER_forms_tmp}
  )
endif(USE_QT5)

include_directories(${CMAKE_BINARY_DIR}/plugins/MatrixVisualizer)

add_library(MatrixVisualizer SHARED ${MATRIXVISUALIZER_srcs} ${MATRIXVISUALIZER_forms})

#############################################
#              QT5
#############################################
IF(USE_QT5)
  qt5_use_modules(MatrixVisualizer Widgets Core Xml OpenGL UiTools)
ELSE(USE_QT5)
  qt4_use_modules(MatrixVisualizer Core Xml OpenGL UiTools)
ENDIF(USE_QT5)

TARGET_LINK_LIBRARIES(MatrixVisualizer
  ${QT_LIBRARIES}
  ${OPENGL_gl_LIBRARY}
  ${OPENGL_glu_LIBRARY}
  ${Boost_LIBRARIES}
  )

IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  TARGET_LINK_LIBRARIES(MatrixVisualizer
    rt
    )
  ADD_DEFINITIONS("-DBOOST_GZIP")
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")

IF(VITE_ENABLE_VBO)
  TARGET_LINK_LIBRARIES(MatrixVisualizer
    ${GLEW_LIBRARY}
    )
ENDIF(VITE_ENABLE_VBO)

install(TARGETS MatrixVisualizer DESTINATION $ENV{HOME}/.vite)

=== plugins/TraceInfos/CMakeLists.txt ===
###
#
#  This file is part of the ViTE project.
#
#  This software is governed by the CeCILL-A license under French law
#  and abiding by the rules of distribution of free software. You can
#  use, modify and/or redistribute the software under the terms of the
#  CeCILL-A license as circulated by CEA, CNRS and INRIA at the following
#  URL: "http://www.cecill.info".
#
#    @version 1.2.0
#    @authors COULOMB Kevin
#    @authors FAVERGE Mathieu
#    @authors JAZEIX Johnny
#    @authors LAGRASSE Olivier
#    @authors MARCOUEILLE Jule
#    @authors NOISETTE Pascal
#    @authors REDONDY Arthur
#    @authors VUCHENER Clment
#    @authors RICHART Nicolas
#

set(TRACEINFOS_hdrs
  TraceInfos.hpp
)

set(TRACEINFOS_srcs
  TraceInfos.cpp
)

add_library(TraceInfos SHARED ${TRACEINFOS_srcs})

IF(USE_QT5)
  qt5_use_modules(TraceInfos Widgets Core)
ENDIF(USE_QT5)

install(TARGETS TraceInfos DESTINATION $ENV{HOME}/.vite)

=== externals/tau/include/Makefile ===
#****************************************************************************
#*			TAU Portable Profiling Package			   **
#*			http://www.cs.uoregon.edu/research/tau	           **
#****************************************************************************
#*    Copyright 1997-2002        				   	   **
#*    Department of Computer and Information Science, University of Oregon **
#*    Advanced Computing Laboratory, Los Alamos National Laboratory        **
#****************************************************************************
#######################################################################
##                  pC++/Sage++  Copyright (C) 1993,1995             ##
##  Indiana University  University of Oregon  University of Rennes   ##
#######################################################################
 
#######################################################################
# This is a sample Makefile that contains the Profiling and Tracing 
# options. Makefiles of other applications and libraries (not included 
# in this distribution) should include this Makefile.
# It defines the following variables that should be added to CFLAGS
# TAU_INCLUDE  	-  Include path for tau headers
# TAU_DEFS      -  Defines that are needed for tracing and profiling only.
# And for linking add to LIBS 
# TAU_LIBS	-  TAU Tracing and Profiling library libprof.a 
# 
# When the user needs to turn off tracing and profiling and run the 
# application without any runtime overhead of instrumentation, simply
# remove TAUDEFS and TAULIBS from CFLAGS and LIBS respectively but keep
# TAUINC.
#######################################################################

########### Automatically modified by the configure script ############
CONFIG_ARCH=x86_64
TAU_ARCH=x86_64
CONFIG_CC=gcc
CONFIG_CXX=g++
TAU_CC_FE=$(CONFIG_CC)
TAU_CXX_FE=$(CONFIG_CXX)

# Front end C/C++ Compilers
#BGL#TAU_CC_FE=gcc #ENDIF#
#BGL#TAU_CXX_FE=g++ #ENDIF#
#BGP#TAU_CC_FE=gcc #ENDIF#
#BGP#TAU_CXX_FE=g++ #ENDIF#
#CATAMOUNT#TAU_CC_FE=gcc #ENDIF#
#CATAMOUNT#TAU_CXX_FE=g++ #ENDIF#
#CRAYCNL#TAU_CC_FE=gcc #ENDIF#
#CRAYCNL#TAU_CXX_FE=g++ #ENDIF#
#CRAYXMT#TAU_CC_FE=/usr/bin/gcc #ENDIF#
#CRAYXMT#TAU_CXX_FE=/usr/bin/g++ #ENDIF#
##SC_GFORTRAN#TAU_CC_FE=gcc #ENDIF#
##SC_GFORTRAN#TAU_CXX_FE=g++ #ENDIF#
##SC_PATHSCALE#TAU_CC_FE=gcc #ENDIF#
##SC_PATHSCALE#TAU_CXX_FE=g++ #ENDIF#


USER_OPT=-g -O2
EXTRADIR=
EXTRADIRCXX=
TAUROOT=$(PWD)/../..
TULIPDIR=
TAUEXTRASHLIBOPTS=
TAUGCCLIBOPTS=
TAUGCCLIBDIR=/usr/lib/gcc/x86_64-linux-gnu/4.4.3/
IFORTLIBDIR=
PERFSUITELINK=
TAUGFORTRANLIBDIR=
PAPIDIR=
PAPISUBDIR=
CHARMDIR=
PDTDIR=
PDTCOMPDIR=
DYNINSTDIR=
JDKDIR=
OPARIDIR=
EPILOGDIR=
EPILOGBINDIR=
EPILOGINCDIR=
EPILOGLIBDIR=
EPILOGEXTRALINKCMD=
SICORTEXLINK=
VAMPIRTRACEDIR=
VAMPIRTRACEINCS=
VAMPIRTRACELIBS=
VAMPIRTRACEMPILIBS=
SCOREPDIR=
SCOREPINCS=
SCOREPLIBS=
SCOREPMPILIBS=
KTAU_INCDIR=
KTAU_INCUSERDIR=
KTAU_LIB=
KTAU_KALLSYMS_PATH=/proc/kallsyms
PYTHON_INCDIR=
PYTHON_LIBDIR=
PERFINCDIR=
PERFLIBDIR=
PERFLIBRARY=
UPCNETWORK=
TAU_SHMEM_INC=
TAU_SHMEM_LIB=
TAU_CONFIG=
TAU_MPI_INC=
TAU_MPI_LIB=
TAU_MPI_FLIB=
TAU_MPILIB_DIR=
TAU_MPI_NOWRAP_LIB=
TAU_MPI_NOWRAP_FLIB=
FULL_CXX=/usr/bin/g++
FULL_CC=/usr/bin/gcc
TAU_PREFIX_INSTALL_DIR=$(PWD)/../..

TAU_BIN_DIR=$(TAU_PREFIX_INSTALL_DIR)/$(CONFIG_ARCH)/bin
TAU_INC_DIR=$(TAU_PREFIX_INSTALL_DIR)/include
TAU_LIB_DIR=$(TAU_PREFIX_INSTALL_DIR)/$(CONFIG_ARCH)/lib

#######################################################################

#OPARI#TAU_OPARI_TOOL=$(TAU_BIN_DIR)/opari        #ENDIF#
#ENABLE64BIT#ABI 	     = -mabi=64		  #ENDIF#
#ENABLEN32BIT#ABI 	     = -mabi=n32	  #ENDIF#
#ENABLE32BIT#ABI 	     = -mabi=32		  #ENDIF#

#######################################################################
#SP1#IBM_XLC_ABI	     = -q32 		  #ENDIF#
#SP1#IBM_GNU_ABI	     = -maix32 		  #ENDIF#
#IBM64#IBM_XLC_ABI	     = -q64 		  #ENDIF#
#IBM64#IBM_GNU_ABI	     = -maix64 		  #ENDIF#
#IBM64LINUX#IBM_XLC_ABI	     = -q64 		  #ENDIF#
#IBM64LINUX#IBM_GNU_ABI	     = -m64 		  #ENDIF#
#SUNX86_64#SUN_GNU_ABI       = -m64		  #ENDIF#
#SUNX86_64#SUN_CC_ABI        = -xarch=amd64       #ENDIF#
#MIPS32LINUX#SC_GNU_ABI	     = -mabi=n32 	  #ENDIF#
#MIPS32LINUX#SC_PATH_ABI     = -mabi=n32          #ENDIF#
#MIPS64LINUX#SC_GNU_ABI	     = -mabi=64 	  #ENDIF#
#MIPS64LINUX#SC_PATH_ABI     = -mabi=64           #ENDIF#
SC_ABI     	     = $(SC_GNU_ABI) 	  #ENDIF##GNU#
#USE_PATHCC#SC_ABI     	     = $(SC_PATH_ABI) 	  #ENDIF#
#MIPS32#ABI                  = $(SC_ABI) 	  #ENDIF#
#MIPS64#ABI                  = $(SC_ABI) 	  #ENDIF#

#USE_IBMXLC#IBM_ABI    	     = $(IBM_XLC_ABI) 	  #ENDIF#
IBM_ABI	     	     = $(IBM_GNU_ABI) 	  #ENDIF##GNU#
#SP1# ABI		     = $(IBM_ABI)	  #ENDIF#
#PPC64# ABI		     = $(IBM_ABI)	  #ENDIF#
#SOLARIS64#SUN_GNU_ABI	     = -mcpu=v9 -m64	  #ENDIF#
#SOLARIS64#SUN_CC_ABI	     = -xarch=v9 -xcode=pic32	  #ENDIF#
#SOL2CC#SUN_ABI	     	     = $(SUN_CC_ABI)	  #ENDIF#
SUN_ABI	     	     = $(SUN_GNU_ABI)	  #ENDIF##GNU#
#SOL2#ABI	     	     = $(SUN_ABI)	  #ENDIF#
#SUNX86_64#ABI		     = $(SUN_ABI)	  #ENDIF#
#FORCEIA32#ABI               = -m32#ENDIF#
#######################################################################
F90_ABI	= $(ABI) 
#IBM64_FORTRAN#F90_ABI	     = -q64 		  #ENDIF#
#######################################################################

#UPCC#TAU_UPCC= upcc "-inst-toolname=gasp-tau" -inst -network=$(UPCNETWORK) #ENDIF#

#UPCC#TAU_GASP_O=TauGASP.o #ENDIF#
#UPCC#TAU_GASPU_O=TauGASPU.o #ENDIF#
############# Standard Defines ##############
TAU_CC = $(CONFIG_CC) $(ABI) $(ISA)
TAU_CXX = $(CONFIG_CXX) $(ABI) $(ISA)
TAU_RUN_CC = $(FULL_CC) $(ABI) $(ISA)
#UPCC#TAU_RUN_CC = $(TAU_UPCC) #ENDIF#
TAU_RUN_CXX = $(FULL_CXX) $(ABI) $(ISA)
TAU_INSTALL = /bin/cp
TAU_SHELL = /bin/sh
LSX = .a
#############################################
# JAVA DEFAULT ARCH 
#############################################
JDKARCH                 = linux
#COMPAQ_ALPHA#JDKARCH   = alpha      #ENDIF#
#SOL2#JDKARCH           = solaris    #ENDIF#
#SGIMP#JDKARCH          = irix       #ENDIF#
#SP1#JDKARCH            = aix        #ENDIF#
#T3E#JDKARCH            = cray       #ENDIF#
#############################################
# JAVA OBJECTS
#############################################
#JAVA#TAU_JAVA_O 	= TauJava.o TauJAPI.o  #ENDIF#
#JAVA#TAUJAPI 	= Profile.class        #ENDIF#


#############################################
# OpenMP OBJECTS
#############################################
#OPENMP#OPENMP_O 	= OpenMPLayer.o #ENDIF#

#############################################
# Opari OBJECTS
#############################################
OPARI_O 	= TauKojakOpariDisable.o #ENDIF#
#OPARI#OPARI_O 	= TauOpari.o #ENDIF#
#KOJAKOPARI#OPARI_O 	= TauKojakOpari.o #ENDIF#
#EPILOG#OPARI_O 	=  #ENDIF#
#VAMPIRTRACE#OPARI_O 	=  #ENDIF#

#############################################
# CallPath OBJECTS
#############################################
#PROFILEPARAM#PARAM_O  = ProfileParam.o #ENDIF#


#############################################
# DYNINST DEFAULT ARCH
#############################################
DYNINST_PLATFORM 	= $(PLATFORM)


############# OpenMP Fortran Option ########
#OPENMP#TAU_F90_OPT = -mp                   #ENDIF#
#SOL2CC_OPENMP#TAU_F90_OPT = -xopenmp       #ENDIF#
#SUNCC_OPENMP#TAU_F90_OPT = -xopenmp=parallel       #ENDIF#
#COMPAQCXX_OPENMP#TAU_F90_OPT = -omp        #ENDIF#
#IBMXLC_OPENMP#TAU_F90_OPT = -qsmp=omp -qthreaded   #ENDIF#
#GUIDE#TAU_F90_OPT =                        #ENDIF#
#PGIOPENMP#TAU_F90_OPT = -mp                #ENDIF#
#INTELOPENMP#TAU_F90_OPT = -openmp          #ENDIF#
#HITACHI_OPENMP#TAU_F90_OPT =               #ENDIF#
#GNUOPENMP#TAU_F90_OPT = -fopenmp          #ENDIF#

#ZEPTO_GFORTRAN#TAU_F90_OPT = -fno-underscoring     #ENDIF#

#THREADSAFE_COMPILERS#TAU_R         =_r     #ENDIF#

############# Fortran Compiler #############
#GNU_FORTRAN#TAU_F90         = g77              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#GNU_GFORTRAN#TAU_F90         = gfortran              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#G95_FORTRAN#TAU_F90         = g95              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#SC_GFORTRAN#TAU_F90         = scgfortran              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#SGI_FORTRAN#TAU_F90         = f90              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#IBM_FORTRAN#TAU_F90         = xlf90$(TAU_R)    $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#BGP#TAU_F90         = mpixlf90$(TAU_R)    $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#BGP_GFORTRAN#TAU_F90         = mpif90    $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#BGL#TAU_F90         = blrts_xlf90$(TAU_R)    $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#IBM64_FORTRAN#TAU_F90       = xlf90$(TAU_R)    $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#IBMXLFAPPLE#TAU_F90       = xlf90$(TAU_R)    $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#CRAY_FORTRAN#TAU_F90        = f90              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#CRAY_X1_FORTRAN#TAU_F90     = ftn              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#PGI_FORTRAN#TAU_F90         = pgf90            $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#PGI_CATAMOUNT#TAU_F90         = qk-pgf90         $(F90_ABI) $(TAU_F90_OPT) #ENDIF#
#CATAMOUNT#TAU_F90         = ftn         $(F90_ABI) $(TAU_F90_OPT) #ENDIF#
#ABSOFT_FORTRAN#TAU_F90      = f90              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#LAHEY_FORTRAN#TAU_F90      = lf95              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#LAHEY64_FORTRAN#TAU_F90      = lf95              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#NAGWARE_FORTRAN#TAU_F90      = f95              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#FUJITSU_FORTRAN#TAU_F90     = F90              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#FUJITSU_SOLARIS#TAU_F90     = f90              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#SUN_FORTRAN#TAU_F90         = f90              $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#COMPAQ_FORTRAN#TAU_F90      = f90              $(F90_ABI)  $(TAU_F90_OPT)  #ENDIF#
#KAI_FORTRAN#TAU_F90         = guidef90         $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#HP_FORTRAN#TAU_F90          = f90 	        $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#HITACHI_FORTRAN#TAU_F90     = f90 	        $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#INTEL_FORTRAN#TAU_F90       = efc 	        $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#INTEL32_FORTRAN#TAU_F90     = ifc 	        $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#INTELIFORT#TAU_F90     = ifort 	        $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#PATHSCALE_FORTRAN#TAU_F90     = pathf90         $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#SC_PATHSCALE#TAU_F90     = scpathf95         $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#OPEN64ORC_FORTRAN#TAU_F90     = orf90         $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#NEC_FORTRAN#TAU_F90         = f90 	        $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#CRAYCNL#TAU_F90         = ftn            $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#ZEPTO_GFORTRAN#TAU_F90         = /bgsys/drivers/ppcfloor/gnu-linux/bin/powerpc-bgp-linux-gfortran    $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#

TAU_F77 = $(TAU_F90)
#IBM_FORTRAN#TAU_F77         = xlf$(TAU_R)    $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#
#BGP#TAU_F77         = mpixlf77_r    $(F90_ABI) $(TAU_F90_OPT)   #ENDIF#



############# Portable F90 Options #############
#IBM64_FORTRAN#TAU_F90_FIXED      = -qfixed  #ENDIF#
#IBM_FORTRAN#TAU_F90_FIXED      = -qfixed  #ENDIF#
#IBM_FORTRAN#TAU_F90_SUFFIX     = -qsuffix=f=f90  #ENDIF#
#IBMXLFAPPLE#TAU_F90_FIXED      = -qfixed  #ENDIF#
#IBMXLFAPPLE#TAU_F90_SUFFIX     = -qsuffix=f=f90  #ENDIF#
#IBM64_FORTRAN#TAU_F90_SUFFIX     = -qsuffix=f=f90  #ENDIF#

############# Profiling Options #############
PROFILEOPT1           = -DPROFILING_ON        #ENDIF##PROFILE#
#PAPI#PROFILEOPT3              = -DTAU_PAPI -I$(PAPIDIR)/src -I$(PAPIDIR)/include #ENDIF#
#PAPI#PAPI_O       	       = PapiLayer.o 	       #ENDIF#
#PROFILEOPT4
#PROFILESTATS#PROFILEOPT5      = -DPROFILE_STATS       #ENDIF#
#DEBUGPROF#PROFILEOPT6         = -DDEBUG_PROF          #ENDIF#
#STDCXXLIB#PROFILEOPT7         = -DTAU_STDCXXLIB       #ENDIF#
#CRAYX1CC#PROFILEOPT7          = #ENDIF#
#CRAYCC#PROFILEOPT7            = #ENDIF#
#INTELTFLOP#PROFILEOPT8        = -DPOOMA_TFLOP         #ENDIF#

=== debian/changelog ===
vite (1.2+svn+git4.c6c0ce7-5) unstable; urgency=medium

  * control: Build-depend on libotf2-trace-dev.
  * rules: Set -DVITE_ENABLE_OTF2=ON.
  * patches/otf2-3: Fix build against otf2 3.0.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 21 Aug 2022 20:14:52 +0200

vite (1.2+svn+git4.c6c0ce7-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * rules: Fix using CPPFLAGS by cmake, until #653916 is fixed.
  * control: Set Rules-Requires-Root to no.
  * control: Bump Standards-Version to 4.6.0 (no change)

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Jan 2022 14:36:33 +0100

vite (1.2+svn+git4.c6c0ce7-3) unstable; urgency=medium

  * control: Update packaging URL.
  * rules: Set reproducible=+fixfilepath.
  * patches/reproducibility: Fix reproducibility against timezones.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 31 Dec 2020 15:22:17 +0100

vite (1.2+svn+git4.c6c0ce7-2) unstable; urgency=medium

  * control: Fix Vcs URLs.
  * rules,clean: Use dh_clean instead of a toclean file.
  * patches/reproducibility: Set the help dialog date to the Debian packaging
    date.
  * rules: Force latex to use the packaging date.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 31 Dec 2020 01:52:25 +0100

vite (1.2+svn+git4.c6c0ce7-1) unstable; urgency=medium

  * New upstream snapshot
    - patches/fieldnames: Upstreamed.
    - control: Add libqt5charts5-dev and libqt5svg5-dev build dependencies.
  * control: Use https URL for Vcs-Browser.
  * control: Bump Standards-Version to 4.5.0.
  * control: Bump debhelper compat to 12.
    - rules: Remove now-spurious --parallel.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 21 Oct 2020 18:21:41 +0200

vite (1.2+svn1430-7) unstable; urgency=medium

  * patches/fieldnames: Cherry-pick upstream fix for unbound number of field
    names.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 08 Apr 2020 17:42:48 +0200

vite (1.2+svn1430-6) unstable; urgency=medium

  * control: Bump Standards-Version to 4.0.1 (no change).
  * control: Build-depend on libqt5opengl5-desktop-dev instead of
    libqt5opengl5-dev, so we don't try to build on armel/amrhf which don't
    have the support for it (Closes: Bug#884314)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Jan 2018 20:00:53 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,21 @@
 Section: devel
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper-compat (= 13),
  cmake,
- qttools5-dev, libqt5opengl5-dev, libglm-dev, libglew-dev,
+ qttools5-dev,
+ libqt5opengl5-desktop-dev, libqt5charts5-dev, libqt5svg5-dev,
+ libglm-dev, libglew-dev,
  texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
  libotf-trace-dev,
+ libotf2-trace-dev,
  texlive-fonts-recommended,
  ghostscript, zlib1g-dev
-Standards-Version: 4.1.1
-Homepage: http://vite.gforge.inria.fr/
-Vcs-Browser: https://gitlab.inria.fr/solverstack/vite
-Vcs-Git: https://gitlab.inria.fr/solverstack/vite.git
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
+Homepage: https://vite.gforge.inria.fr/
+Vcs-Browser: https://salsa.debian.org/debian/vite
+Vcs-Git: https://salsa.debian.org/debian/vite.git
 
 Package: vite
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = reproducible=+fixfilepath

%:
	dh $@

# Adding CPPFLAGS by hand until #653916 is fixed
override_dh_auto_configure:
	dh_auto_configure -- -DVITE_ENABLE_OTF=ON -DVITE_ENABLE_OTF2=ON \
		-DVITE_ENABLE_MT_PARSERS=ON \
		-DVITE_ENABLE_VBO=OFF \
		-DCMAKE_CXX_COMPILER_ARG1="$(CPPFLAGS)" \
		-DUSE_QT5=ON

override_dh_auto_build:
	dh_auto_build
	FORCE_SOURCE_DATE=1 $(MAKE) -C docs/user_manual
	FORCE_SOURCE_DATE=1 $(MAKE) -C docs/technical_manual

override_dh_auto_clean:
	$(MAKE) -C docs/user_manual clean
	$(MAKE) -C docs/technical_manual clean
	dh_auto_clean
